Subject: Re: [PATCH 2/2] net: phy: dp83640: Read strapped configuration settings

From: Andrew Lunn <[email-masked]>
Date: Thu, 5 Apr 2018 22:40:49 +0200

On Thu, Apr 05, 2018 at 10:30:45PM +0200, Esben Haabendal wrote:
> Florian Fainelli <[email-masked]> writes:
> 
> > On 04/05/2018 04:44 AM, [email-masked] wrote:
> >> From: Esben Haabendal <[email-masked]>
> >> 
> >> Read configration settings, to allow automatic forced speed/duplex setup
> >> by hardware strapping.
> >
> > OK but why? What problem is this solving for you?
> 
> It is ensuring that the PHY is configured according to the HW design.
> If the HW design has set the strap configuration to fx. fixed 100 Mbit
> full-duplex, this avoids Linux configuring it for auto-negotiation.

Hi Esben

Are you sure it contains the HW strapping? Is the driver hitting the
PHY with a hard reset to make it go back to the strapping defaults?
Or could it still contain whatever state the last boot of Linux, or
maybe the bootloader, left the PHY in?

      Andrew